require(ggplot2)
require(clue)
require(raster)
require(reshape)

load("Corr05.RData")
load("Corr08.RData")
dfr5$group <- "0.5"
dfr8$group <- "0.8" 
dfc <- data.frame(dfr5[, -5], group = "chance")

dfr5$group <- as.factor(dfr5$group)
dfr8$group <- as.factor(dfr8$group)
dfc$group <- as.factor(dfc$group)

dfc$MKbar <- dfr5$K/(sum(n)-s)
dfc$X1 <- NA
dfc$X2 <- NA

df3 <- rbind(dfr5, dfr8,dfc);

p03 <- 
    ggplot(data= df3, aes(x = K, y = MKbar,    
            colour=group,group=group)) + 
    geom_line(aes(group = group,colour=group)) + 
    geom_point() +
    theme_bw() + 
    theme(plot.background = element_blank(), 
          panel.grid.major = element_blank(),
          panel.grid.minor = element_blank()) + 
    theme(panel.border=element_blank()) + 
    theme(axis.line.x = element_line(colour="black"),
          axis.line.y = element_line(colour="black")) +
    theme(text=element_text(size=20)) +
    guides(color=guide_legend(title=expression(rho))) +
    geom_errorbar(aes(ymin = X1, ymax=X2)) + 
    scale_colour_manual(values = c("#FF0000","#0072B2", "#000000")) +
    ylab(expression(paste("average match ratio ",bar(delta)))) + 
    xlab("depth K") +
    labs(title= "Performance of SoftSGM: Depth K") 


p03 + 
    geom_segment(aes(x=1,xend=50,y=(1/299),yend=50/299),colour="black")

pdf("sgm12softsgm_cor5_cor8.pdf",height=6,width=8)
p03
dev.off()


