require(igraph)
require(VN)
require(clue)

Eng <- read.csv(file = "wikiEngAdj.csv",header=FALSE)
Fre <- read.csv(file = "wikiFreAdj.csv",header=FALSE)

Eng <- as.matrix(Eng)
Fre <- as.matrix(Fre)
N <- nrow(Eng)

Freg <- graph_from_adjacency_matrix(Fre)

fconnect <- clusters(Freg)
con <- which(fconnect$membership==1)
#ncon <- setdiff(1:N,con)
Frecon <- Fre[con,con]
#Engmcon <- Eng[c(con,ncon),c(con,ncon)]

m <- nrow(Frecon)
s <- 50 #floor(m/30); #10; # number of seeds for seeded graph matching
d <- as.numeric(N-s)
J <- matrix(1,d,d); # J
bc <- (1/d)*J #this is the barycenter
iter <- 20

#set.seed(5377) # -- match = 0.1406127 ; -- match=0.157 submat not first in larger
#set.seed(23456) # -- match = 0.10526
#set.seed(5647) # -- match = 0.2577
#set.seed(306) # -- match = 0.203456
set.seed(21218) # -- match = 0.216

seeds  <- sort(sample(con,s,replace=FALSE))
seeds2 <- which(con %in% seeds)
nseeds2 <- setdiff(1:m,seeds2)
nseeds0 <- setdiff(1:N,seeds)
As   <- Eng[c(seeds,nseeds0),c(seeds,nseeds0)] #mcon
Bs   <- Frecon[c(seeds2,nseeds2),c(seeds2,nseeds2)]

### Use sgm to match graphs
Psall <- sgm(As,Bs,s,start=bc,iteration=iter)
Ps <- Psall$P

### Determine proportion of correctly matched nodes (not including seeds)	
idx <- which(c(seeds,nseeds0) %in% con)
Pab = Ps[idx,1:m] #,idx]
match = (sum(diag(Pab))-s)/(nrow(Pab)-s)
match



