# Plotting softSGM data for Wiki networks -- including runs for full Wiki
# graph

setwd("wtK/")
L <- dir()
tmp <- lapply(L,read.csv)
foo <- Reduce(rbind,tmp[1:25])

setwd("../")
K <- 1:10
s <- 40
n <- 1382
library(dplyr)
library(ggplot2)
require(clue)
require(raster)
require(reshape)

Lbar <- unlist(lapply(unique(foo$X),function(x){mean(foo[foo$X==x,]$preck)}))
Lse <- unlist(lapply(unique(foo$X),function(x){sd(foo[foo$X==x,]$preck)/sqrt(25)}))
Lci  <- cbind(Lbar - 2*Lse, Lbar+2*Lse)

df1 <- data.frame(K,Lbar, Lci, group = "SoftSGM")
df2 <- data.frame(df1[, -5], group = "chance")

df1$group <- as.factor(df1$group)
df2$group <- as.factor(df2$group)

df2$Lbar <- K/(n-s)
df2$X1 <- NA
df2$X2 <- NA

df <- rbind(df1, df2)

p04 <- 
  ggplot(data=df, aes(x=K, y = Lbar, colour = group)) + 
        scale_x_continuous(breaks=K) +
        geom_line(size=1)  + 
        geom_errorbar(aes(ymin=X1, ymax=X2,aes=.7)) + 
        geom_point() + 
        theme_classic() + 
        theme(text=element_text(size=25)) + 
        scale_colour_manual(values = c("#FF0000", "#000000")) +
        ylab(expression(paste("average match ratio ",bar(delta)))) + 
        xlab("depth K") +
        labs(title= "Wikipedia: Depth K") +
        theme(plot.title = element_text(hjust = 0.5))


pdf("WikiTopKsgm12Plot.pdf",height=8,width=12)
p04
dev.off()


###   Time:
####  Working status:
##### Comments:
######Soli Deo Gloria
